Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::views::adjacent_remove_if_base_fn Struct Reference
Inheritance diagram for ranges::views::adjacent_remove_if_base_fn:

## Public Member Functions
template<typename Rng , typename Pred > requires viewable_range<Rng> && forward_range<Rng> && indirect_binary_predicate_<Pred, iterator_t<Rng>, iterator_t<Rng>>
constexpr adjacent_remove_if_view< all_t< Rng >, Pred > | operator() (Rng &&rng, Pred pred) const